| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IParticlePropertySvc Class Reference

`#include <GaudiKernel/IParticlePropertySvc.h>`

Inheritance diagram for IParticlePropertySvc:

[legend]
Collaboration diagram for IParticlePropertySvc:

[legend]
List of all members.

## Detailed Description

This class is an interface to the ParticlePropertySvc.

Author:
  Iain Last

  G.Corti

Definition at line 22 of file IParticlePropertySvc.h.

## Public Types
typedef std::vector< ParticleProperty * > | VectPP
typedef VectPP::const_iterator | const_iterator
typedef VectPP::iterator | iterator
## Public Member Functions
virtual StatusCode | push_back (const std::string &particle, int geantId, int jetsetId, double charge, double mass, double tlife, const std::string &evtName, int pythiaId, double maxWidth)=0
| Create a new particle property.
virtual StatusCode | push_back (ParticleProperty *pp)=0
| Create a new particle property.
virtual const_iterator | begin () const=0
| Get a const reference to the begining of the container.
virtual const_iterator | end () const=0
| Get a const reference to the end of the container.
virtual int | size () const=0
| Get the container size.
virtual ParticleProperty * | find (int geantId)=0
| Retrieve an object by geant3 id.
virtual ParticleProperty * | findByStdHepID (int stdHepID)=0
| Retrieve an object by StdHep id.
virtual ParticleProperty * | find (const std::string &name)=0
| Retrieve an object by name.
virtual ParticleProperty * | findByPythiaID (int pythiaID)=0
| Retrieve an object by PythiaID.
virtual StatusCode | erase (int geantId)=0
| Erase a property by geant3 id.
virtual StatusCode | erase (const std::string &name)=0
| Erase a property by particle name.
virtual StatusCode | eraseByStdHepID (int stdHepID)=0
| Erase a property by StdHep id.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef std::vector<ParticleProperty*> IParticlePropertySvc::VectPP

Reimplemented in ParticlePropertySvc.

Definition at line 26 of file IParticlePropertySvc.h.

typedef VectPP::const_iterator IParticlePropertySvc::const_iterator

Reimplemented in ParticlePropertySvc.

Definition at line 27 of file IParticlePropertySvc.h.

typedef VectPP::iterator IParticlePropertySvc::iterator

Reimplemented in ParticlePropertySvc.

Definition at line 28 of file IParticlePropertySvc.h.

## Member Function Documentation

static const InterfaceID& IParticlePropertySvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IService.

Definition at line 31 of file IParticlePropertySvc.h.

References IID_IParticlePropertySvc.

    00031 { return IID_IParticlePropertySvc; }

virtual StatusCode IParticlePropertySvc::push_back | ( | const std::string & | particle,
|  | int | geantId,
|  | int | jetsetId,
|  | double | charge,
|  | double | mass,
|  | double | tlife,
|  | const std::string & | evtName,
|  | int | pythiaId,
|  | double | maxWidth |
| ) |  |  | `[pure virtual]`

Create a new particle property.

Parameters:

  | particle | String name of the particle
  | geantId | Geant3 ID of the particle
  | jetsetId | Jetset ID of the particle
  | charge | Particle charge (/e)
  | mass | Particle mass (MeV)
  | tlife | Particle lifetime (s)
  | evtName | String name of the particle in EvtGen
  | pythiaId | ID of particle in Pythia

Returns:
  StatusCode - SUCCESS if the particle property was added

Implemented in ParticlePropertySvc.

virtual StatusCode IParticlePropertySvc::push_back | ( | ParticleProperty * | pp | ) | `[pure virtual]`

Create a new particle property.

Parameters:

  | pp | a particle property class

Returns:
  StatusCode - SUCCESS if the particle property was added

Implemented in ParticlePropertySvc.

virtual const_iterator IParticlePropertySvc::begin | ( |  | ) | const`[pure virtual]`

Get a const reference to the begining of the container.

Implemented in ParticlePropertySvc.

virtual const_iterator IParticlePropertySvc::end | ( |  | ) | const`[pure virtual]`

Get a const reference to the end of the container.

Implemented in ParticlePropertySvc.

virtual int IParticlePropertySvc::size | ( |  | ) | const`[pure virtual]`

Get the container size.

Implemented in ParticlePropertySvc.

virtual ParticleProperty* IParticlePropertySvc::find | ( | int | geantId | ) | `[pure virtual]`

Retrieve an object by geant3 id.

Implemented in ParticlePropertySvc.

virtual ParticleProperty* IParticlePropertySvc::findByStdHepID | ( | int | stdHepID | ) | `[pure virtual]`

Retrieve an object by StdHep id.

Implemented in ParticlePropertySvc.

virtual ParticleProperty* IParticlePropertySvc::find | ( | const std::string & | name | ) | `[pure virtual]`

Retrieve an object by name.

Implemented in ParticlePropertySvc.

virtual ParticleProperty* IParticlePropertySvc::findByPythiaID | ( | int | pythiaID | ) | `[pure virtual]`

Retrieve an object by PythiaID.

Implemented in ParticlePropertySvc.

virtual StatusCode IParticlePropertySvc::erase | ( | int | geantId | ) | `[pure virtual]`

Erase a property by geant3 id.

Implemented in ParticlePropertySvc.

virtual StatusCode IParticlePropertySvc::erase | ( | const std::string & | name | ) | `[pure virtual]`

Erase a property by particle name.

Implemented in ParticlePropertySvc.

virtual StatusCode IParticlePropertySvc::eraseByStdHepID | ( | int | stdHepID | ) | `[pure virtual]`

Erase a property by StdHep id.

Implemented in ParticlePropertySvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IParticlePropertySvc.h